<!doctype html>
<html class="no-js" lang="">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Website Title</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link rel="stylesheet" href="styles/styles.css">
    <link href="https://fonts.googleapis.com/css?family=Montserrat:200,400,700" rel="stylesheet">
    <script src="https://cdn.rawgit.com/openlayers/openlayers.github.io/master/en/v5.3.0/build/ol.js"></script>
</head>
<body>

<nav class="navbar navbar-expand-md navbar-dark fixed-top">
    <a class="navbar-brand" href="#">Hack Your Health</a>
</nav>

<section class="map">
    <div class="map__cover">
        <div id="map"></div>
    </div>
</section>

<div id="buttons">
</div>


<script>
    var map;

    function initMap() {
        let myLatLng = {
            lat: 52.23, lng: 19.30
        };

        map = new google.maps.Map(document.getElementById('map'), {
            center: myLatLng,
            zoom: 6,
            // zoomControl: false,
            // scaleControl: false,
            // scrollwheel: false,
            // disableDoubleClickZoom: true,

            // styles: [
            //     {
            //         "featureType": "administrative.locality",
            //         "stylers": [
            //             {
            //                 "visibility": "off"
            //             }
            //         ]
            //     },
            //     {
            //         "featureType": "administrative.neighborhood",
            //         "stylers": [
            //             {
            //                 "visibility": "off"
            //             }
            //         ]
            //     },
            //     {
            //         "featureType": "administrative.province",
            //         "stylers": [
            //             {
            //                 "color": "#f84343"
            //             },
            //             {
            //                 "weight": 3
            //             }
            //         ]
            //     },
            //     {
            //         "featureType": "poi",
            //         "elementType": "labels.text",
            //         "stylers": [
            //             {
            //                 "visibility": "off"
            //             }
            //         ]
            //     },
            //     {
            //         "featureType": "poi.business",
            //         "stylers": [
            //             {
            //                 "visibility": "off"
            //             }
            //         ]
            //     },
            //     {
            //         "featureType": "poi.park",
            //         "elementType": "labels.text",
            //         "stylers": [
            //             {
            //                 "visibility": "off"
            //             }
            //         ]
            //     },
            //     {
            //         "featureType": "road",
            //         "stylers": [
            //             {
            //                 "visibility": "off"
            //             }
            //         ]
            //     },
            //     {
            //         "featureType": "road",
            //         "elementType": "labels",
            //         "stylers": [
            //             {
            //                 "visibility": "off"
            //             }
            //         ]
            //     },
            //     {
            //         "featureType": "water",
            //         "elementType": "labels.text",
            //         "stylers": [
            //             {
            //                 "visibility": "off"
            //             }
            //         ]
            //     }
            // ]
        });


        fetch('http://10.250.195.179:8080/factors/polution')
            .then(function(response) {
                return response.json();
            })
            .then(function(myJson) {
                for(let value of myJson.items){
                    let marker = new google.maps.Marker({
                        position: {lat: Number(value.lat), lng: Number(value.lon)},
                        icon: {
                          path: google.maps.SymbolPath.CIRCLE,
                          scale: 10,
                          fillOpacity: 0.2,
                          strokeOpacity: 0.2,
                        },
                        map: map,
                        title: value.city
                    });
                }
            });


        for (let value of cities) {
            let marker = new google.maps.Marker({
                position: value,
                map: map,
                title: 'Hello World!'
            });
        }
    }
</script>

<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBWlfWWX5kHCfNZ0_Ju-pxDZ03aowvbnT0&callback=initMap"
        async defer></script>
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
<script src="scripts/app.js"></script>
</body>
</html>
